# $Id: perl-AsciiDB-TagFile.spec 6384 2008-06-23 00:09:06Z dag $
# Authority: dries
# Upstream: Jose A. Rodriguez <Jose,Rodriguez+cpan$ac,upc,es>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name AsciiDB-TagFile

Summary: Tie class for a simple ASCII database
Name: perl-AsciiDB-TagFile
Version: 1.06
Release: 1.2.%{releasetagsuffix}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/AsciiDB-TagFile/

Source: http://www.cpan.org/modules/by-module/AsciiDB/AsciiDB-TagFile-%{version}.tar.gz
Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)

%description
AsciiDB::Tag allows you to access a simple ASCII database using a
perl hash variable. The database format is straightforward so you can edit
it by hand if you need so. Each record is stored into a file, and a
record is just a set of values tagged by the field name.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/*
%{perl_vendorlib}/AsciiDB/TagFile.pm
%{perl_vendorlib}/AsciiDB/TagRecord.pm

%changelog
* Sat Apr  9 2005 Dries Verachtert <dries@ulyssis.org> - 1.06-1 #6384
- Initial package.
